/*  ==========================================================================
    Module: MODAL
    Script served by: http://leanmodal.finelysliced.com.au/
    CSS by: Carina Skladal & Desiree Zottl
    should be merged with zs modal and the modal implemented in web4
    ========================================================================== */

    /**
    *
    *   TABLE OF CONTENTS
    *
    *   1. MODAL - general modal styling
    *   2. TYPES - warning, error, info, success
    *   3. VARIANTS - rollup, notification, fullscreen
    *
    */


    /* COMPONENTS
    ========================================================================== */

    .modal
    {
        position: fixed;
        z-index: 11000;
        top: 15px;
        right: 15px;
        left: 15px;
        bottom: 15px;

        display: none; // will be overwritten by JS
        margin: 0;

        background: $white;
        border-radius: 3px;
        box-shadow: 0 10px 20px rgba(0, 0, 0, 0.22), 0 14px 56px rgba(0, 0, 0, 0.25);
        outline: none;
        overflow-y: auto;
        overflow-x: hidden;

        @include breakpoint(medium)
        {
            top: 10vH;
            right: auto;
            left: calc(50% - 150px);
            bottom: auto;

            width: 300px;
        }

        @include breakpoint(large)
        {
            width: 600px;
            left: calc(50% - 300px);
        }
    }

    .modal__header
    {
        display: table;
        width: 100%;
        height: $modal-header-height;
        margin-bottom: 2px;

        text-align: right;
        border-top-left-radius: 3px;
        border-top-right-radius: 3px;

        .modal__close
        {
            top: 6px;
            right: 6px;
        }
    }

    .modal__body
    {
        padding: $single-space $r-gutter / 2 $double-space + 4.2rem $r-gutter / 2;

        text-align: center;
    }

    .modal__body--full
    {
        height: calc(100% - #{$modal-header-height} - 2px);
    }

    .modal__footer
    {
        position: absolute;
        bottom: 0;

        width: 100%;
        padding: $single-space / 2 $r-gutter / 2;

        text-align: right;
        border-bottom-left-radius: 3px;
        border-bottom-right-radius: 3px;
    }

    .modal__header-component
    {
        padding: 1 $r-gutter / 2;

        display: table-cell;

        vertical-align: middle;
        text-align: left;
    }

    .modal__close
    {
        position: absolute;
        right: 0;
    }

    .modal__backdrop
    {
        position: fixed;
        z-index: 10000;
        top: 0;
        left: 0;

        display: none;
        height: 100%;
        width: 100%;

        background: $black;
        cursor: pointer;
    }

    /* TYPES eg info, success, warning, error
    ========================================================================== */

    .modal--dark
    {
        background-color: $gray-85;
        color: $white;
    }

    .modal--info
    {
        background-color: lighten($zs-blue, 20%);
        color: darken($zs-blue, 40%);
    }

    .modal--success
    {
        background-color: lighten($green, 30%);
        color: darken($green, 30%);
    }

    .modal--warning
    {
        background-color: lighten($yellow, 20%);
        color: darken($yellow, 40%);

        a
        {
            color: $gray-85;
            font-weight: bold;
        }
    }

    .modal--error
    {
        background-color: lighten($red, 23%);
        color: darken($red, 25%);

        a
        {
            color: $white;
            font-weight: bold;
        }
    }

    /* VARIANTS eg rollup
    ========================================================================== */

    // a message that rolls up at the right bottom of the screen and stays there
    .modal--rollup
    {
        position: fixed;
        right: 10px;
        bottom: 0;
        top: auto;
        left: auto;

        width: 300px;
        height: 0;
        max-height: 0;
        margin: 0;

        border-bottom-left-radius: 0;
        border-bottom-right-radius: 0;
        border-bottom: none;
        overflow: hidden;
        transition: max-height 0.8s;
        transition-timing-function: ease-out;

        &.j-rollup
        {
          height: auto;
          max-height: 350px;
        }

        .modal__body {
          padding: 1.4rem 2.4rem 2.4rem 2.4rem;
        }
    }

    // a short massage that pops up and disappears after a short time
    .modal--notification
    {
        padding: $single-space $r-gutter;
    }

    // a short massage that pops up and disappears after a short time
    .modal--fullscreen
    {
        width: auto;

        top: 20px;
        right: 20px;
        bottom: 20px;
        left: 20px;

        .modal__header
        {
            box-shadow: 0px 1px 2px rgba(0, 0, 0, 0.4);
        }
    }